#ifndef MARS_MHTheta
#define MARS_MHTheta

#ifndef MARS_MHAlpha
#include "MHAlpha.h"
#endif

class MHTheta : public MHAlpha
{
private:
    MParameterD  *fThetaSq;     //!

    Bool_t      GetParameter(const MParList &pl);
    Double_t    GetVal() const;
    const char *GetParameterRule() const
    {
        return "ThetaSquared.fVal";
    }

public:
    MHTheta(const char *name=NULL, const char *title=NULL);

    ClassDef(MHTheta, 1) // Theta-Plot which is fitted online
};

#endif
